Pular para o conteúdo principal
POST
/
image
/
edit
/api/v1/image/edit
curl --request POST \
  --url https://api.venice.ai/api/v1/image/edit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Colorize",
  "image": "iVBORw0KGgoAAAANSUhEUgAAAgAAAAIACAIAAAB7GkOtAAAAIGNIUk0A..."
}
'
"<string>"
Este é um endpoint experimental e pode estar sujeito a alterações.
Preço: O preço da edição de imagens varia por modelo. O modelo padrão (qwen-edit) custa US$ 0,04 por edição. Veja o endpoint de Modelos para todos os modelos de edição disponíveis e seus preços.

Níveis de qualidade

Alguns modelos de edição aceitam um parâmetro opcional quality (low, medium, high) que troca fidelidade visual por custo. Atualmente suportado por gpt-image-2-edit; outros modelos ignoram o parâmetro.
{
  "model": "gpt-image-2-edit",
  "image": "iVBORw0KGgo...",
  "prompt": "change the sky to a sunrise",
  "resolution": "2K",
  "quality": "medium"
}
Quando você omite quality, o modelo usa seu nível padrão (high para gpt-image-2-edit). Os preços por nível (1K/2K/4K × low/medium/high) ficam em model_spec.pricing.quality no endpoint de Modelos e estão listados na visão geral de preços.
Preços baseados em qualidade são o padrão para todas as chamadas de API e SDK — não é necessário cabeçalho de opt-in. Requisições que omitem quality são cobradas pelo nível padrão do modelo (high para gpt-image-2-edit).

Coleção do Postman

Para exemplos adicionais, consulte esta coleção do Postman.
O modelo padrão (qwen-edit) bloqueia requisições que tentem gerar imagens sexualmente explícitas, sexualizar menores ou retratar violência do mundo real. Outros modelos podem ter políticas de conteúdo diferentes.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

Edit an image based on the supplied prompt.

image
obrigatório

The image to edit. Can be either a file upload, a base64-encoded string, or a URL starting with http:// or https://. Image dimensions must be at least 65536 pixels and must not exceed 33177600 pixels. File size must be less than 25MB.

prompt
string
obrigatório

The text directions to edit or modify the image. Short, descriptive prompts work best (e.g., "remove the tree", "change the sky to sunrise"). Character limit is model specific and is listed in the promptCharacterLimit setting in the model list endpoint.

Required string length: 1 - 32768
Exemplo:

"Change the color of the sky to a sunrise"

aspect_ratio
enum<string>

The aspect ratio for the output image. Use 'auto' or omit this parameter to infer the closest supported aspect ratio from the input image when explicit sizing is required by the model. Supported values vary by model - check GET /api/v1/models for model-specific options.

Opções disponíveis:
auto,
1:1,
3:2,
16:9,
21:9,
9:16,
2:3,
3:4,
4:5
Exemplo:

"16:9"

resolution
string

Resolution tier for the output image (e.g. "1K", "2K", "4K"). Supported values vary by model - check GET /api/v1/models for model-specific options. Defaults to "1K" when not specified.

Required string length: 1 - 10
Exemplo:

"1K"

model
string
padrão:firered-image-edit

The model ID to use for image editing.

Minimum string length: 1
modelId
enum<string>
obsoleto

Deprecated: Use "model" instead. The model ID to use for image editing.

Opções disponíveis:
firered-image-edit,
qwen-edit,
qwen-edit-uncensored,
grok-imagine-edit,
grok-imagine-quality-edit,
qwen-image-2-edit,
qwen-image-2-pro-edit,
wan-2-7-pro-edit,
flux-2-max-edit,
gpt-image-2-edit,
gpt-image-1-5-edit,
nano-banana-2-edit,
nano-banana-pro-edit,
seedream-v5-lite-edit,
seedream-v4-edit
Minimum string length: 1
output_format
enum<string>

Output format for the edited image. Accepts jpeg, jpg, png, or webp. When omitted, the format is inferred from resolution: PNG for 1K edits and JPEG for 2K/4K edits.

Opções disponíveis:
jpeg,
png,
webp
Exemplo:

"png"

safe_mode
boolean
padrão:true

Whether to use safe mode. If enabled, this will blur images that are classified as having adult content.

Exemplo:

false

Resposta

OK

The response is of type file.